Perl Programming Documentation
Download Perl
Explore

Manual

- Overview
- Tutorials
- FAQs
- History / Changes
- License

Reference

- Language
- Functions
- Operators
- Special Variables
- Pragmas
- Utilities
- Internals
- Platform Specific

Modules

- A • B • C • D • E
- F • G • H • I • L
- M • N • O • P • S
- T • U • X

Tools

- Preferences

# CPANPLUS::Module::Checksums

Perl 5 version 16.0 documentation
Go to top
Show page index • Show recent pages
Recently read

# CPANPLUS::Module::Checksums

- NAME
- SYNOPSIS
- DESCRIPTION
- METHODS
  - $mod->checksums

# NAME

CPANPLUS::Module::Checksums - checking the checksum of a distribution

# SYNOPSIS

        $file   = $modobj->checksums;    $bool   = $mobobj->_validate_checksum;

# DESCRIPTION

This is a class that provides functions for checking the checksum of a distribution. Should not be loaded directly, but used via the interface provided via `CPANPLUS::Module` .

# METHODS

## $mod->checksums

Fetches the checksums file for this module object. For the options it can take, see `CPANPLUS::Module::fetch()` .

Returns the location of the checksums file on success and false on error.

The location of the checksums file is also stored as

        $mod->status->checksums

Page index

- NAME
- SYNOPSIS
- DESCRIPTION
- METHODS
  - $mod->checksums